/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "label.h"
#include "menu.h"
#include "frame.h"
#include "rectangle.h"

void menuListInit(menulist_t *ml, texture_t *texture);

uint8_t menuListAdd(menulist_t *ml, font_t *font, char *text);

void menuListUpdate(menulist_t *ml, engine_t *engine);

void menuListRender(menulist_t *ml, shader_t *shader);

void menuListDispose(menulist_t *ml);