/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "../display/texture.h"
#include "../display/shader.h"
#include "../display/primitive.h"
#include "../display/primitives/quad.h"

void rectangleInit(rectangle_t *rectangle);

void rectangleSetColor(rectangle_t *rectangle, pixel_t color);

void rectangleRender(rectangle_t *rectangle, shader_t *shader);

void rectangleDispose(rectangle_t *rectangle);